call "C:\Program Files (x86)\Microsoft Visual Studio 9.0\VC\vcvarsall.bat" amd64

set PATH=%PATH%;C:\Tools\Perl\bin

set VERSION=openssl-0.9.8x

cd %VERSION%

perl Configure VC-WIN64A

call ms\do_win64a

REM post process the makefiles so that we build different dll + lib names to the x86 build

cp ms\libeay32.def ms\libeay64.def
cp ms\ssleay32.def ms\ssleay64.def

ssed -e s/out32/out64/g ms\ntdll.mak | ssed -e s/tmp32/tmp64/g | ssed -e s/inc32/inc64/g | ssed -e s/ssleay32/ssleay64/g | ssed -e s/libeay32/libeay64/g | ssed -e s"/Fdout64dll/Zi \/Fdout64dll\\Libs64.pdb/"g > ms\ntdll-64.mak

ssed -e s/out32/out64/g ms\nt.mak | ssed -e s/tmp32/tmp64/g | ssed -e s/inc32/inc64/g | ssed -e s/ssleay32/ssleay64/g | ssed -e s/libeay32/libeay64/g | ssed -e s"/Fdout64/Zi \/Fdout64\\Libs64.pdb/"g > ms\nt-64.mak

nmake -f ms\ntdll-64.mak clean
nmake -f ms\ntdll-64.mak

nmake -f ms\nt-64.mak clean
nmake -f ms\nt-64.mak

cd ..

mkdir include
mkdir include\openssl
mkdir lib
mkdir lib\dll
mkdir lib\static

xcopy %VERSION%\inc64\openssl include\openssl /Y
xcopy %VERSION%\out64dll\ssleay64.lib lib\dll /Y
xcopy %VERSION%\out64dll\libeay64.lib lib\dll /Y
xcopy %VERSION%\out64dll\ssleay64.dll lib\dll /Y
xcopy %VERSION%\out64dll\libeay64.dll lib\dll /Y
xcopy %VERSION%\out64dll\Libs64.pdb lib\dll /Y

xcopy %VERSION%\out64\ssleay64.lib lib\static /Y
xcopy %VERSION%\out64\libeay64.lib lib\static /Y
xcopy %VERSION%\out64\Libs64.pdb lib\static /Y

REM now some debug static libs

cd %VERSION%

perl util\mk1mf.pl debug no-asm VC-WIN64A >ms\nt-dbg.mak

ssed -e s/out32/out64/g ms\nt-dbg.mak | ssed -e s/tmp32/tmp64/g | ssed -e s/inc32/inc64/g | ssed -e s/ssleay32/ssleay64/g | ssed -e s/libeay32/libeay64/g | ssed -e s/Fdout64/Fdout64.dbg\\Libs64.pdb/g > ms\nt-dbg-64.mak


nmake -f ms\nt-dbg-64.mak clean
nmake -f ms\nt-dbg-64.mak

cd ..

mkdir lib\static\debug

xcopy %VERSION%\out64.dbg\ssleay64.lib lib\static\debug /Y
xcopy %VERSION%\out64.dbg\libeay64.lib lib\static\debug /Y
xcopy %VERSION%\out64.dbg\Libs64.pdb lib\static\debug /Y


